idevice_connect
idevice_connection_disable_bypass_ssl
idevice_connection_disable_ssl
idevice_connection_enable_ssl
idevice_connection_get_fd
idevice_connection_receive
idevice_connection_receive_timeout
idevice_connection_send
idevice_connection_t
idevice_connection_type
idevice_device_list_extended_free
idevice_device_list_free
IDEVICE_DEVICE_VERSION
idevice_disconnect
idevice_error_t
idevice_event_cb_t
idevice_event_subscribe
idevice_event_type
idevice_event_unsubscribe
idevice_events_subscribe
idevice_events_unsubscribe
idevice_free
idevice_get_device_list
idevice_get_device_list_extended
idevice_get_device_version
idevice_get_handle
idevice_get_udid
idevice_new
idevice_new_with_options
idevice_options
idevice_set_debug_level
idevice_strerror
idevice_subscription_context_t
idevice_t
libimobiledevice_version

## idevice_events_subscribe()

idevice_error_t idevice_events_subscribe | ( | idevice_subscription_context_t * | context,
|  | idevice_event_cb_t | callback,
|  | void * | user_data )

Subscribe a callback function that will be called when device add/remove events occur.

Parameters

  context | A pointer to a idevice_subscription_context_t that will be set upon creation of the subscription. The returned context must be passed to idevice_events_unsubscribe() to unsubscribe the callback.
  callback | Callback function to call.
  user_data | Application-specific data passed as parameter to the registered callback function.

Returns
  IDEVICE_E_SUCCESS on success or an error value when an error occurred.